EKNO YUAG - Bug #3666

Apps Mobile - Penambahan Validasi Lokasi Wajib Aktif Saat Clock In/Clock Out
06/12/2025 04:03 PM - Mr lkmal

Status: Closed Start date: 06/12/2025
Priority: Urgent Due date: 06/13/2025
Assignee: Mr [kmal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour

Description
Dear Tim Developer,

Mohon bantuannya untuk menambahkan validasi pada bagian Clock In dan Clock Out. Saat ini, user masih dapat melakukan
absensi walupun GPS di HP tdk diaktifkan.

Diharapkan ada validasi required yang menampilkan pesan untuk mengaktifkan lokasi apabila pengguna mencoba melakukan Clock
In/Clock Out tanpa mengaktifkan GPS.

Berikut contoh tampilannya, di mana StartLocation dan EndLocation terlihat kosong:
My Absence History

June 2025

Date 12 June 2025
Attendance Normal
Start Time

15:55

Start Location

End Time

15:56

End Location

Date 10 June 2025
Attendance Normal
Start Time

07:52

Start Location

Jawa Barat, Indonesia, ID, Kabupaten Bekasi, ,
Cikarang Selatan, 17530

End Time

End Location
Terima kasih

History

#1 - 06/12/2025 04:40 PM - Kezia Pawitra Yulianti

- Due date set to 06/13/2025

- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to M Azid Wahyudi

- Priority changed from Normal to High

#2 - 06/12/2025 04:42 PM - Kezia Pawitra Yulianti

berikut referensi redmine untuk issue ini
sudah pernah di fixing di BKT sbimnya

http://remote.minovais.com:3000/redmine/issues/3421

Thanks

#3 - 06/13/2025 09:25 AM - Kezia Pawitra Yulianti
- Assignee changed from M Azid Wahyudi to mabhlil ..

berikut yaa Wi
Tks

#4 - 06/13/2025 09:29 AM - Kezia Pawitra Yulianti
- Priority changed from High to Urgent

#5 - 06/13/2025 05:06 PM - makhlil ..
- Status changed from Assigned to QA Test

- Assignee changed from mabhlil .. to Mr Ikmal

sudah bisa di test ya mas ikmal

UPDATE
SP = [Mobile_GetValidasiBeforeSubmit]

#6 - 06/16/2025 08:22 AM - Mr Ikmal
- File 1000581052.jpg added
- Status changed from QA Test to Closed

Oke thank you mas, sudah muncul validasi nya ya.

Files
clipboard-202506121600-xuf1f.jpg 202 KB 06/12/2025 Mr Ikmal
1000581052.jpg 233 KB 06/16/2025 Mr lkmal
